Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044191
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Y. DBSourceManagerminorhave not tried2020-05-26 15:322020-05-29 08:44
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revisionb4d7d7edd6de
ProjectionnoneETAnoneTarget Version
OSAnyDatabasePostgreSQLJava version
OS VersionDatabase version13Ant version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044191: PostgreSQL 13: warn reading DB model

DescriptionWhen dbsm is reading database model in PostgreSQL 13 a warning is logged:

 WARN org.apache.ddlutils.platform.PlatformImplBase - Skipping row: Invalid function GTRGM_OPTIONS. Function parameter without name is not supported
Steps To ReproduceWith PostgreSQL 13:
* ant install.source
  -> OK
* ant update.database
  -> WARN org.apache.ddlutils.platform.PlatformImplBase - Skipping row: Invalid function GTRGM_OPTIONS. Function parameter without name is not supported
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0042449 closedshuehner support PostgreSQL 13 

-  Notes
(0120330)
alostale (developer)
2020-05-27 09:37

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/76 [^]
(0120397)
hgbot (developer)
2020-05-28 12:46

Repository: erp/devel/pi
Changeset: b4d7d7edd6de0e7bb409607ae37050b7739f9402
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed May 27 09:24:28 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b4d7d7edd6de0e7bb409607ae37050b7739f9402 [^]

fixed ISSUE-44191: PostgreSQL 13: warn reading DB model

When reading model with PostgreSQL 13 a warning was logged trying to
read parameters for funcion GTRGM_OPTIONS. This is a new internal
function from pg_trgm extension that should not be tried to be read.

Now it is excluded.

---
M src-db/database/model/excludeFilter.xml
---
(0120443)
caristu (developer)
2020-05-29 08:44

Reviewed

- Issue History
Date Modified Username Field Change
2020-05-26 15:32 alostale New Issue
2020-05-26 15:32 alostale Assigned To => platform
2020-05-26 15:32 alostale Modules => Core
2020-05-26 15:32 alostale Triggers an Emergency Pack => No
2020-05-26 15:32 alostale Relationship added blocks 0042449
2020-05-27 09:36 alostale Assigned To platform => alostale
2020-05-27 09:36 alostale Status new => scheduled
2020-05-27 09:37 alostale Note Added: 0120330
2020-05-27 09:37 alostale Review Assigned To => caristu
2020-05-28 12:46 hgbot Checkin
2020-05-28 12:46 hgbot Note Added: 0120397
2020-05-28 12:46 hgbot Status scheduled => resolved
2020-05-28 12:46 hgbot Resolution open => fixed
2020-05-28 12:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b4d7d7edd6de0e7bb409607ae37050b7739f9402 [^]
2020-05-29 08:44 caristu Note Added: 0120443
2020-05-29 08:44 caristu Status resolved => closed
2020-05-29 08:44 caristu Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker